Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch.model
Class ListMetricsResult

    java.lang.Object
      com.amazonaws.services.cloudwatch.model.ListMetricsResult

    public class ListMetricsResult

extends Object

List Metrics Result

Constructor Summary
`ListMetricsResult()`

Method Summary
`List<Metric>` | `getMetrics()` Returns the value of the Metrics property for this object.
`String` | `getNextToken()` Returns the value of the NextToken property for this object.
`void` | `setMetrics(Collection<Metric> metrics)` Sets the value of the Metrics property for this object.
`void` | `setNextToken(String nextToken)` Sets the value of the NextToken property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListMetricsResult` | `withMetrics(Collection<Metric> metrics)` Sets the value of the Metrics property for this object.
`ListMetricsResult` | `withMetrics(Metric... metrics)` Sets the value of the Metrics property for this object.
`ListMetricsResult` | `withNextToken(String nextToken)` Sets the value of the NextToken property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListMetricsResult

    public ListMetricsResult()

Method Detail

### getMetrics

    public List<Metric> getMetrics()

  Returns the value of the Metrics property for this object.

  Returns:
    The value of the Metrics property for this object.

### setMetrics

    public void setMetrics(Collection<Metric> metrics)

  Sets the value of the Metrics property for this object.

  Parameters:
    `metrics` - The new value for the Metrics property for this object.

### withMetrics

    public ListMetricsResult withMetrics(Metric... metrics)

  Sets the value of the Metrics property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `metrics` - The new value for the Metrics property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withMetrics

    public ListMetricsResult withMetrics(Collection<Metric> metrics)

  Sets the value of the Metrics property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `metrics` - The new value for the Metrics property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  Returns the value of the NextToken property for this object.

  Returns:
    The value of the NextToken property for this object.

### setNextToken

    public void setNextToken(String nextToken)

  Sets the value of the NextToken property for this object.

  Parameters:
    `nextToken` - The new value for the NextToken property for this object.

### withNextToken

    public ListMetricsResult withNextToken(String nextToken)

  Sets the value of the NextToken property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - The new value for the NextToken property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.